function this = eqtn2func(this)
    
    this.eqtnall = '';
    
    for ieq = 1 : length(this.eqtnEval)
        if ischar(this.eqtnEval{ieq})
            this.eqtnEval{ieq} = str2func(['@(a,x,t) ',this.eqtnEval{ieq}]);
        end
        c = char(this.eqtnEval{ieq});
        c = strrep(c,'@(a,x,t)','');
        this.eqtnall = [this.eqtnall,c,';'];
    end
    this.eqtnall = str2func(['@(a,x,t) [',this.eqtnall,']']);
    
    for id = 1 : numel(this.dimplicit)
        if ischar(this.dimplicit{id} )
            this.dimplicit{id} = str2func(['@(a,x,t) ',this.dimplicit{id}]);
        end
    end
    
end